// @tensorflow/tfjs-models Copyright 2018 Google
import*as tf from"@tensorflow/tfjs";import{oneHot,tidy,scalar,range,util,loadFrozenModel,Tensor,fromPixels,pad3d,slice3d,div,sub}from"@tensorflow/tfjs";var mobileNet100Architecture=[["conv2d",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",2],["separableConv",1]],mobileNet75Architecture=[["conv2d",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1]],mobileNet50Architecture=[["conv2d",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",2],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1],["separableConv",1]],mobileNet25Architecture=mobileNet50Architecture,VALID_OUTPUT_STRIDES=[8,16,32];function assertValidOutputStride(e){util.assert("number"==typeof e,"outputStride is not a number"),util.assert(VALID_OUTPUT_STRIDES.indexOf(e)>=0,"outputStride of "+e+" is invalid. It must be either 8, 16, or 32")}var mobileNetArchitectures={100:mobileNet100Architecture,75:mobileNet75Architecture,50:mobileNet50Architecture,25:mobileNet25Architecture};function toOutputStridedLayers(e,t){var r=1,n=1;return e.map(function(e,o){var a,i,s=e[0],u=e[1];return r===t?(a=1,i=n,n*=u):(a=u,i=1,r*=u),{blockId:o,convType:s,stride:a,rate:i,outputStride:r}})}var MobileNet=function(){function e(e,t){this.PREPROCESS_DIVISOR=scalar(127.5),this.ONE=scalar(1),this.modelWeights=e,this.convolutionDefinitions=t}return e.prototype.predict=function(e,t){var r=this,n=div(e.toFloat(),this.PREPROCESS_DIVISOR),o=sub(n,this.ONE);return toOutputStridedLayers(this.convolutionDefinitions,t).reduce(function(e,t){var n=t.blockId,o=t.stride,a=t.convType,i=t.rate;if("conv2d"===a)return r.conv(e,o,n);if("separableConv"===a)return r.separableConv(e,o,n,i);throw Error("Unknown conv type of "+a)},o)},e.prototype.convToOutput=function(e,t){return e.conv2d(this.weights(t),1,"same").add(this.convBias(t,!1))},e.prototype.conv=function(e,t,r){var n=this.weights("Conv2d_"+String(r));return e.conv2d(n,t,"same").add(this.convBias("Conv2d_"+String(r))).clipByValue(0,6)},e.prototype.separableConv=function(e,t,r,n){void 0===n&&(n=1);var o="Conv2d_"+String(r)+"_depthwise",a="Conv2d_"+String(r)+"_pointwise";return e.depthwiseConv2D(this.depthwiseWeights(o),t,"same","NHWC",n).add(this.depthwiseBias(o)).clipByValue(0,6).conv2d(this.weights(a),[1,1],"same").add(this.convBias(a)).clipByValue(0,6)},e.prototype.weights=function(e){return this.modelWeights.weights(e)},e.prototype.convBias=function(e,t){return void 0===t&&(t=!0),this.modelWeights.convBias(e,t)},e.prototype.depthwiseBias=function(e){return this.modelWeights.depthwiseBias(e)},e.prototype.depthwiseWeights=function(e){return this.modelWeights.depthwiseWeights(e)},e.prototype.dispose=function(){this.modelWeights.dispose()},e}(),BASE_URL="https://storage.googleapis.com/tfjs-models/savedmodel/",checkpoints={1:{url:BASE_URL+"posenet_mobilenet_100_partmap/",architecture:mobileNetArchitectures[100]},.75:{url:BASE_URL+"posenet_mobilenet_075_partmap/",architecture:mobileNetArchitectures[75]},.5:{url:BASE_URL+"posenet_mobilenet_050_partmap/",architecture:mobileNetArchitectures[50]},.25:{url:BASE_URL+"posenet_mobilenet_025_partmap/",architecture:mobileNetArchitectures[25]}};function toFlattenedOneHotPartMap(e){var t=e.shape[2],r=e.argMax(2).reshape([-1]);return oneHot(r,t)}function clipByMask2d(e,t){return e.mul(t)}function toMask(e,t){return tidy(function(){return e.greater(scalar(t)).toInt()})}function decodePartSegmentation(e,t){var r=t.shape,n=r[0],o=r[1],a=r[2];return tidy(function(){var r=toFlattenedOneHotPartMap(t),i=range(0,a,1,"int32").expandDims(1);return clipByMask2d(r.matMul(i).toInt().reshape([n,o]).add(scalar(1,"int32")),e).sub(scalar(1,"int32"))})}function cpuBlur(e,t,r){for(var n=e.getContext("2d"),o=0,a=1/(2*Math.PI*5*5),i=r<3?1:2,s=-r;s<=r;s+=i)for(var u=-r;u<=r;u+=i){o+=a*Math.exp(-(u*u+s*s)/50)}for(s=-r;s<=r;s+=i)for(u=-r;u<=r;u+=i)n.globalAlpha=a*Math.exp(-(u*u+s*s)/50)/o*r,n.drawImage(t,u,s);n.globalAlpha=1}var offScreenCanvases={};function isSafari(){return/^((?!chrome|android).)*safari/i.test(navigator.userAgent)}function flipCanvasHorizontal(e){var t=e.getContext("2d");t.scale(-1,1),t.translate(-e.width,0)}function compost(e,t,r){e.globalCompositeOperation=r,e.drawImage(t,0,0)}function createOffScreenCanvas(){return document.createElement("canvas")}function ensureOffscreenCanvasCreated(e){return offScreenCanvases[e]||(offScreenCanvases[e]=createOffScreenCanvas()),offScreenCanvases[e]}function drawBlurredImageToCanvas(e,t,r){var n=e.height,o=e.width,a=r.getContext("2d");r.width=o,r.height=n,a.clearRect(0,0,o,n),a.save(),isSafari()?cpuBlur(r,e,t):(a.filter="blur("+t+"px)",a.drawImage(e,0,0,o,n)),a.restore()}function renderImageToCanvas(e,t,r,n){n.width=t,n.height=r,n.getContext("2d").putImageData(e,0,0)}function toMaskImageData(e,t,r,n,o){void 0===o&&(o=.7);for(var a=new Uint8ClampedArray(r*t*4),i=Math.round(255*o),s=0;s<t*r;++s){var u=(n?1-e[s]:e[s])*i,l=4*s;a[l+0]=0,a[l+1]=0,a[l+2]=0,a[l+3]=Math.round(u)}return new ImageData(a,r,t)}function drawBodyMaskOnCanvas(e,t,r,n){void 0===n&&(n=!0);var o=e.height,a=e.width,i=toMaskImageData(t,o,a,!0),s=ensureOffscreenCanvasCreated("mask");renderImageToCanvas(i,a,o,s),r.width=a,r.height=o;var u=r.getContext("2d");u.save(),n&&flipCanvasHorizontal(r),u.drawImage(e,0,0),compost(u,s,"source-atop"),u.restore()}function drawBokehEffectOnCanvas(e,t,r,n,o){void 0===n&&(n=3),void 0===o&&(o=!0);var a=t.height,i=t.width,s=ensureOffscreenCanvasCreated("blur");drawBlurredImageToCanvas(t,n,s);var u=toMaskImageData(r,a,i,!1,1),l=ensureOffscreenCanvasCreated("mask");renderImageToCanvas(u,i,a,l);var d=s.getContext("2d");d.save(),compost(d,l,"destination-out"),d.restore();var c=e.getContext("2d");c.save(),o&&flipCanvasHorizontal(e),c.drawImage(t,0,0),compost(c,l,"destination-in"),compost(c,s,"source-over"),c.restore()}function toColoredPartImage(e,t,r,n,o){for(var a=new Uint8ClampedArray(r*n*4),i=0;i<n*r;++i){var s=Math.round(e[i]),u=4*i;if(-1===s)a[u+0]=0,a[u+1]=0,a[u+2]=0,a[u+3]=Math.round(255*o);else{var l=t[s];if(!l)throw new Error("No color could be found for part id "+s);a[u+0]=l[0],a[u+1]=l[1],a[u+2]=l[2],a[u+3]=Math.round(255*o)}}return new ImageData(a,r,n)}function drawBodySegmentsOnCanvas(e,t,r,n,o,a){void 0===o&&(o=.7),void 0===a&&(a=!0);var i=t.height,s=t.width;e.width=s,e.height=i;var u=toColoredPartImage(r,n,s,i,o),l=ensureOffscreenCanvasCreated("partImage");renderImageToCanvas(u,s,i,l);var d=e.getContext("2d");d.save(),a&&flipCanvasHorizontal(e),d.drawImage(t,0,0),compost(d,l,"source-over"),d.restore()}var partChannels=["left_face","right_face","right_upper_leg_front","right_lower_leg_back","right_upper_leg_back","left_lower_leg_front","left_upper_leg_front","left_upper_leg_back","left_lower_leg_back","right_feet","right_lower_leg_front","left_feet","torso_front","torso_back","right_upper_arm_front","right_upper_arm_back","right_lower_arm_back","left_lower_arm_front","left_upper_arm_front","left_upper_arm_back","left_lower_arm_back","right_hand","right_lower_arm_front","left_hand"];function __awaiter(e,t,r,n){return new(r||(r=Promise))(function(o,a){function i(e){try{u(n.next(e))}catch(e){a(e)}}function s(e){try{u(n.throw(e))}catch(e){a(e)}}function u(e){e.done?o(e.value):new r(function(t){t(e.value)}).then(i,s)}u((n=n.apply(e,t||[])).next())})}function __generator(e,t){var r,n,o,a,i={label:0,sent:function(){if(1&o[0])throw o[1];return o[1]},trys:[],ops:[]};return a={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function s(a){return function(s){return function(a){if(r)throw new TypeError("Generator is already executing.");for(;i;)try{if(r=1,n&&(o=2&a[0]?n.return:a[0]?n.throw||((o=n.return)&&o.call(n),0):n.next)&&!(o=o.call(n,a[1])).done)return o;switch(n=0,o&&(a=[2&a[0],o.value]),a[0]){case 0:case 1:o=a;break;case 4:return i.label++,{value:a[1],done:!1};case 5:i.label++,n=a[1],a=[0];continue;case 7:a=i.ops.pop(),i.trys.pop();continue;default:if(!(o=(o=i.trys).length>0&&o[o.length-1])&&(6===a[0]||2===a[0])){i=0;continue}if(3===a[0]&&(!o||a[1]>o[0]&&a[1]<o[3])){i.label=a[1];break}if(6===a[0]&&i.label<o[1]){i.label=o[1],o=a;break}if(o&&i.label<o[2]){i.label=o[2],i.ops.push(a);break}o[2]&&i.ops.pop(),i.trys.pop();continue}a=t.call(e,i)}catch(e){a=[6,e],n=0}finally{r=o=0}if(5&a[0])throw a[1];return{value:a[0]?a[1]:void 0,done:!0}}([a,s])}}}var ModelWeights=function(){function e(e){this.frozenModel=e}return e.prototype.weights=function(e){return this.getVariable("MobilenetV1/"+e+"/weights")},e.prototype.convBias=function(e,t){return void 0===t&&(t=!0),this.getVariable("MobilenetV1/"+e+"/Conv2D_bias")},e.prototype.depthwiseBias=function(e){return this.getVariable("MobilenetV1/"+e+"/depthwise_bias")},e.prototype.depthwiseWeights=function(e){return this.getVariable("MobilenetV1/"+e+"/depthwise_weights")},e.prototype.getVariable=function(e){return this.frozenModel.weights[""+e][0]},e.prototype.dispose=function(){this.frozenModel.dispose()},e}();function getInputTensorDimensions(e){return e instanceof Tensor?[e.shape[0],e.shape[1]]:[e.height,e.width]}function toInputTensor(e){return e instanceof Tensor?e:fromPixels(e)}function resizeAndPadTo(e,t,r){var n=t[0],o=t[1];void 0===r&&(r=!1);var a,i,s,u,l,d,c=getInputTensorDimensions(e),p=c[0],f=c[1]/p;if(f>o/n){a=o;var h=n-(i=Math.ceil(a/f));s=0,u=0,l=Math.floor(h/2),d=n-(i+l)}else{i=n;var v=o-(a=Math.ceil(n/f));s=Math.floor(v/2),u=o-(a+s),l=0,d=0}return{resizedAndPadded:tidy(function(){var t,n=toInputTensor(e);return t=r?n.reverse(1).resizeBilinear([i,a]):n.resizeBilinear([i,a]),pad3d(t,[[l,d],[s,u],[0,0]])}),paddedBy:[[l,d],[s,u]]}}function scaleAndCropToInputTensorShape(e,t,r,n){var o=t[0],a=t[1],i=r[0],s=r[1],u=n[0],l=u[0],d=u[1],c=n[1],p=c[0],f=c[1];return tidy(function(){return removePaddingAndResizeBack(e.resizeBilinear([i,s],!0),[o,a],[[l,d],[p,f]])})}function removePaddingAndResizeBack(e,t,r){var n=t[0],o=t[1],a=r[0],i=a[0],s=a[1],u=r[1],l=u[0],d=u[1],c=e.shape,p=c[0],f=c[1],h=p-(i+s),v=f-(l+d);return tidy(function(){return slice3d(e,[i,l,0],[h,v,e.shape[2]]).resizeBilinear([n,o],!0)})}var _this=void 0,segmentationModelImageDimensions=[353,257],PersonSegmentation=function(){function e(e){this.mobileNet=e}return e.prototype.predictForSegmentation=function(e,t){var r=this;return void 0===t&&(t=16),assertValidOutputStride(t),tidy(function(){var n=r.mobileNet.predict(e,t);return r.mobileNet.convToOutput(n,"segment_2").sigmoid()})},e.prototype.predictForPartMap=function(e,t){var r=this;return void 0===t&&(t=16),assertValidOutputStride(t),tidy(function(){var n=r.mobileNet.predict(e,t),o=r.mobileNet.convToOutput(n,"segment_2"),a=r.mobileNet.convToOutput(n,"part_heatmap_2");return{segmentScores:o.sigmoid(),partHeatmapScores:a.sigmoid()}})},e.prototype.estimatePersonSegmentation=function(e,t,r,n){return void 0===t&&(t=!1),void 0===r&&(r=16),void 0===n&&(n=.5),__awaiter(this,void 0,void 0,function(){var o,a,i,s,u,l=this;return __generator(this,function(d){switch(d.label){case 0:return assertValidOutputStride(r),o=getInputTensorDimensions(e),a=o[0],i=o[1],[4,(s=tidy(function(){var o=resizeAndPadTo(e,segmentationModelImageDimensions,t),s=o.resizedAndPadded,u=o.paddedBy,d=l.predictForSegmentation(s,r),c=s.shape,p=c[0],f=c[1],h=toMask(scaleAndCropToInputTensorShape(d,[a,i],[p,f],u).squeeze(),n);return t?h.reverse(1):h})).data()];case 1:return u=d.sent(),s.dispose(),[2,u]}})})},e.prototype.estimatePartSegmentation=function(e,t,r,n){return void 0===t&&(t=!1),void 0===r&&(r=16),void 0===n&&(n=.5),__awaiter(this,void 0,void 0,function(){var o,a,i,s,u,l=this;return __generator(this,function(d){switch(d.label){case 0:return assertValidOutputStride(r),o=getInputTensorDimensions(e),a=o[0],i=o[1],[4,(s=tidy(function(){var o=resizeAndPadTo(e,segmentationModelImageDimensions,t),s=o.resizedAndPadded,u=o.paddedBy,d=l.predictForPartMap(s,r),c=d.segmentScores,p=d.partHeatmapScores,f=s.shape,h=f[0],v=f[1],m=scaleAndCropToInputTensorShape(c,[a,i],[h,v],u),g=scaleAndCropToInputTensorShape(p,[a,i],[h,v],u),b=decodePartSegmentation(toMask(m.squeeze(),n),g);return t?b.reverse(1):b})).data()];case 1:return u=d.sent(),s.dispose(),[2,u]}})})},e.prototype.dispose=function(){this.mobileNet.dispose()},e}();function load(e){return void 0===e&&(e=.75),__awaiter(this,void 0,void 0,function(){var t,r;return __generator(this,function(n){switch(n.label){case 0:if(null==tf)throw new Error("Cannot find TensorFlow.js. If you are using a <script> tag, please also include @tensorflow/tfjs on the page before using this model.");return t=Object.keys(checkpoints),util.assert("number"==typeof e,"got multiplier type of "+typeof e+" when it should be a number."),util.assert(t.indexOf(e.toString())>=0,"invalid multiplier value of "+e+".  No checkpoint exists for that multiplier. Must be one of "+t.join(",")+"."),[4,mobilenetLoader.load(e)];case 1:return r=n.sent(),[2,new PersonSegmentation(r)]}})})}var mobilenetLoader={load:function(e){return __awaiter(_this,void 0,void 0,function(){var t,r,n,o;return __generator(this,function(a){switch(a.label){case 0:return t=checkpoints[e],r=t.url,[4,loadFrozenModel(r+"tensorflowjs_model.pb",r+"weights_manifest.json")];case 1:return n=a.sent(),o=new ModelWeights(n),[2,new MobileNet(o,t.architecture)]}})})}};export{checkpoints,decodePartSegmentation,toMask,drawBodyMaskOnCanvas,drawBodySegmentsOnCanvas,drawBokehEffectOnCanvas,partChannels,load,PersonSegmentation,resizeAndPadTo,scaleAndCropToInputTensorShape};
